package io.reisub.openosrs.motherlodeminer.tasks;

import io.reisub.openosrs.motherlodeminer.MotherlodeMiner;
import io.reisub.openosrs.util.Task;
import net.runelite.client.plugins.iutils.game.iObject;

import javax.inject.Inject;

public class GoUp extends Task {
    @Inject
    private MotherlodeMiner plugin;

    @Override
    public String getStatus() {
        return "Going up";
    }

    @Override
    public boolean validate() {
        return !plugin.isUpstairs();
    }

    @Override
    public void execute() {
        iObject ladder = game.objects().withName("Ladder").withAction("Climb").nearest();
        if (ladder == null) return;

        ladder.interact("Climb");
        game.waitUntil(() -> plugin.isUpstairs(), 15);
        game.tick();
    }
}
