package io.reisub.openosrs.motherlodeminer.tasks;

import io.reisub.openosrs.motherlodeminer.MotherlodeMiner;
import io.reisub.openosrs.util.Task;
import io.reisub.openosrs.util.enums.Activity;
import net.runelite.client.plugins.iutils.game.iObject;

import javax.inject.Inject;
import java.util.List;


public class FixWheel extends Task {
    @Inject
    private MotherlodeMiner plugin;

    private List<iObject> brokenStruts;

    @Override
    public String getStatus() {
        return "Fixing wheel";
    }

    @Override
    public boolean validate() {
        if (plugin.getCurrentActivity() != Activity.IDLE || plugin.isUpstairs()) return false;

        brokenStruts = game.objects().withName("Broken strut").all();

        return brokenStruts.size() == 2;
    }

    @Override
    public void execute() {
        plugin.setActivity(Activity.REPAIRING);

        brokenStruts.get(0).interact("Hammer");
        game.waitUntil(() -> plugin.getCurrentActivity() == Activity.IDLE, 30);
    }
}
